<template>
  <div>
    <select v-model="localSelected" size="10">
      <option v-for="type in availableTypes" :key="type" :value="type.name">{{ type.label }}</option>
    </select>
  </div>
</template>

<script setup>
import { ref, watch } from 'vue';

const {
  availableTypes,
  selectedType
} = defineProps([
  'availableTypes',
  'selectedType'
]);

const localSelected = ref(selectedType);

const emit = defineEmits(['select-type']);

watch(localSelected, (newValue) => {
  emit('select-type', newValue);
});

</script>

<style scoped>
select {
  width: 100%;
}
option {
  padding: 0.2em;
}
</style>
